<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Google.Protobuf" Version="3.21.11" />
    <PackageReference Include="Grpc" Version="2.46.5" />
    <PackageReference Include="Grpc.Core" Version="2.46.5" />
    <PackageReference Include="Grpc.Tools" Version="2.46.5" />
  </ItemGroup>

  <ItemGroup>
    <Proto Include="*.proto" />
    <Generated Include=".\generated\*.cs" />
  </ItemGroup>

  <ItemGroup>
    <Protobuf 
      Include="./*.proto" 
      OutputDir="%(RelativeDir)/generated"
      CompileOutputs="false"
      AdditionalProtocArguments="--proto_path=./" />
  </ItemGroup>

</Project>